QueueConfigurations (Apache Hadoop YARN API 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.records, class: QueueConfigurations

Package org.apache.hadoop.yarn.api.records

# Class QueueConfigurations

java.lang.Object
org.apache.hadoop.yarn.api.records.QueueConfigurations

public abstract class QueueConfigurations extends Object
QueueConfigurations contain information about the configuration percentages of a queue.

It includes information such as:

- Capacity of the queue.
- Absolute capacity of the queue.
- Maximum capacity of the queue.
- Absolute maximum capacity of the queue.
- Maximum ApplicationMaster resource percentage of the queue.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QueueConfigurations()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract float`
  `getAbsoluteCapacity()`
  Get the absolute capacity.
  `abstract float`
  `getAbsoluteMaxCapacity()`
  Get the absolute maximum capacity.
  `abstract float`
  `getCapacity()`
  Get the queue capacity.
  `abstract Resource`
  `getConfiguredMaxCapacity()`
  Get the configured maximum capacity of queue (from absolute resource).
  `abstract Resource`
  `getConfiguredMinCapacity()`
  Get the configured minimum capacity of queue (from absolute resource).
  `abstract Resource`
  `getEffectiveMaxCapacity()`
  Get the effective maximum capacity of queue (from absolute resource).
  `abstract Resource`
  `getEffectiveMinCapacity()`
  Get the effective minimum capacity of queue (from absolute resource).
  `abstract float`
  `getMaxAMPercentage()`
  Get the maximum AM resource percentage.
  `abstract float`
  `getMaxCapacity()`
  Get the maximum capacity.
  `static QueueConfigurations`
  `newInstance(float capacity, float absoluteCapacity, float maxCapacity, float absoluteMaxCapacity, float maxAMPercentage)`
  `abstract void`
  `setAbsoluteCapacity(float absoluteCapacity)`
  Set the absolute capacity.
  `abstract void`
  `setAbsoluteMaxCapacity(float absoluteMaxCapacity)`
  Set the absolute maximum capacity.
  `abstract void`
  `setCapacity(float capacity)`
  Set the queue capacity.
  `abstract void`
  `setConfiguredMaxCapacity(Resource configuredMaxResource)`
  Set the configured maximum capacity of queue (from absolute resource).
  `abstract void`
  `setConfiguredMinCapacity(Resource configuredMinResource)`
  Set the configured minimum capacity of queue (from absolute resource).
  `abstract void`
  `setEffectiveMaxCapacity(Resource capacity)`
  Set the effective maximum capacity of queue (from absolute resource).
  `abstract void`
  `setEffectiveMinCapacity(Resource capacity)`
  Set the effective minimum capacity of queue (from absolute resource).
  `abstract void`
  `setMaxAMPercentage(float maxAMPercentage)`
  Set the maximum AM resource percentage.
  `abstract void`
  `setMaxCapacity(float maxCapacity)`
  Set the maximum capacity.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### QueueConfigurations

    public QueueConfigurations()

- ## Method Details

  - ### newInstance

    @Public @Unstable public static QueueConfigurations newInstance(float capacity, float absoluteCapacity, float maxCapacity, float absoluteMaxCapacity, float maxAMPercentage)

  - ### getCapacity

    @Public @Unstable public abstract float getCapacity()
    Get the queue capacity.
    Returns:
      the queue capacity

  - ### setCapacity

    @Private @Unstable public abstract void setCapacity(float capacity)
    Set the queue capacity.
    Parameters:
      `capacity` - the queue capacity.

  - ### getAbsoluteCapacity

    @Public @Unstable public abstract float getAbsoluteCapacity()
    Get the absolute capacity.
    Returns:
      the absolute capacity

  - ### setAbsoluteCapacity

    @Private @Unstable public abstract void setAbsoluteCapacity(float absoluteCapacity)
    Set the absolute capacity.
    Parameters:
      `absoluteCapacity` - the absolute capacity

  - ### getMaxCapacity

    @Public @Unstable public abstract float getMaxCapacity()
    Get the maximum capacity.
    Returns:
      the maximum capacity

  - ### setMaxCapacity

    @Private @Unstable public abstract void setMaxCapacity(float maxCapacity)
    Set the maximum capacity.
    Parameters:
      `maxCapacity` - the maximum capacity

  - ### getAbsoluteMaxCapacity

    @Public @Unstable public abstract float getAbsoluteMaxCapacity()
    Get the absolute maximum capacity.
    Returns:
      the absolute maximum capacity

  - ### setAbsoluteMaxCapacity

    @Private @Unstable public abstract void setAbsoluteMaxCapacity(float absoluteMaxCapacity)
    Set the absolute maximum capacity.
    Parameters:
      `absoluteMaxCapacity` - the absolute maximum capacity

  - ### getMaxAMPercentage

    @Public @Unstable public abstract float getMaxAMPercentage()
    Get the maximum AM resource percentage.
    Returns:
      the maximum AM resource percentage

  - ### setMaxAMPercentage

    @Private @Unstable public abstract void setMaxAMPercentage(float maxAMPercentage)
    Set the maximum AM resource percentage.
    Parameters:
      `maxAMPercentage` - the maximum AM resource percentage

  - ### getEffectiveMinCapacity

    @Public @Unstable public abstract Resource getEffectiveMinCapacity()
    Get the effective minimum capacity of queue (from absolute resource).
    Returns:
      minimum resource capability

  - ### setEffectiveMinCapacity

    @Private @Unstable public abstract void setEffectiveMinCapacity(Resource capacity)
    Set the effective minimum capacity of queue (from absolute resource).
    Parameters:
      `capacity` - minimum resource capability

  - ### getEffectiveMaxCapacity

    @Public @Unstable public abstract Resource getEffectiveMaxCapacity()
    Get the effective maximum capacity of queue (from absolute resource).
    Returns:
      maximum resource capability

  - ### setEffectiveMaxCapacity

    @Private @Unstable public abstract void setEffectiveMaxCapacity(Resource capacity)
    Set the effective maximum capacity of queue (from absolute resource).
    Parameters:
      `capacity` - maximum resource capability

  - ### getConfiguredMinCapacity

    @Public @Unstable public abstract Resource getConfiguredMinCapacity()
    Get the configured minimum capacity of queue (from absolute resource).
    Returns:
      minimum resource capability

  - ### setConfiguredMinCapacity

    @Public @Unstable public abstract void setConfiguredMinCapacity(Resource configuredMinResource)
    Set the configured minimum capacity of queue (from absolute resource).
    Parameters:
      `configuredMinResource` - minimum resource capability

  - ### getConfiguredMaxCapacity

    @Public @Unstable public abstract Resource getConfiguredMaxCapacity()
    Get the configured maximum capacity of queue (from absolute resource).
    Returns:
      maximum resource capability

  - ### setConfiguredMaxCapacity

    @Public @Unstable public abstract void setConfiguredMaxCapacity(Resource configuredMaxResource)
    Set the configured maximum capacity of queue (from absolute resource).
    Parameters:
      `configuredMaxResource` - maximum resource capability